Loading...
Searching...
No Matches
caf::detail::tl_equal< ListA, ListB > Struct Template Reference

Tests whether ListA contains the same elements as ListB and vice versa. More...

`#include <type_list.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<class ListA, class ListB>
struct caf::detail::tl_equal< ListA, ListB >

Tests whether ListA contains the same elements as ListB and vice versa.

This comparison ignores element positions.

## Member Data Documentation

## value

template<class ListA, class ListB>

bool caf::detail::tl_equal< ListA, ListB >::value

static constexpr

Initial value:
= tl_subset_of<ListA, ListB>::value
&& tl_subset_of<ListB, ListA>::value

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp